Bug 17241 - Tin no longer runs metamail automatically with mime-encoded news postings
Tin no longer runs metamail automatically with mime-encoded news postings
Product: Red Hat Linux
Classification: Retired
Component: tin (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
: 19074 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-09-04 18:51 EDT by rakarra
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-01 13:06:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rakarra 2000-09-04 18:51:07 EDT
In previous RedHat versions (up to 6.2), whenever I opened a newsgroup posting which was MIME-encoded, tin would always ask me if I 
wanted to view it with metamail. In pinstripe, tin no longer seems to detect this, and instead just posts the encoded message as ASCII and I had 
to manually pipe the message through /usr/bin/metamail. I downloaded the pinstripe tin SRPM and recompiled and forced installation, and now 
tin detects mime-encoded messages and asks about metamail like it always has. Perhaps metamail wasn't installed on the original 
compilation machine? The build process only enables metamail support if metamail is found by configure, or if configure is passed the 
--with-metamail option (which it isn't at present).
Comment 1 Preston Brown 2000-09-06 17:06:30 EDT
fixed in 1.4.4-3 and later (Rawhide)
Comment 2 Preston Brown 2001-02-01 13:05:33 EST
*** Bug 19074 has been marked as a duplicate of this bug. ***
Comment 3 Preston Brown 2001-02-01 13:07:58 EST
OK, this is _really_ fixed in 1.4.4-4 and later.
Comment 4 rakarra 2001-03-19 03:56:28 EST
Which version will be included in RedHat 7.1? I just installed 7.1 Beta (Fisher)
last night, and I've noticed that tin 1.4.4-3 is installed, and it still has
this problem. A simple rpm --bebuild on my machine fixed the problem.

However! I noticed when rebuilding 1.4.4-3 that configure has the
-enable-metamail option passed to it, which I thought earlier would solve this.
It appears that if metamail isn't installed that this still has no effect. I
assume that 1.4.4-3 that comes with Fisher used the same SRPM that I downloaded
from the SRPMS section off of the 7.1 Fisher directory on the ftp site.. it has
the -enable-metamail flag set on configure, but "strings `which tin` |grep
metamail" turned up nothing. Then I rebuilt the rpm and forced the installation,
and the same command returned over half a dozen instances. So maybe tin requires
more than the --enable-metamail flag after all.

(I don't know if I should reopen this or not, probably not since it says it's
fixed in -4)

Note You need to log in before you can comment on or make changes to this bug.